# -*-makefile-*-
#
# Copyright (C) 2012 by Adrian Baumgarth <adrian.baumgarth@l-3com.com>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_PROTOBUF) += protobuf

#
# Paths and names
#
PROTOBUF_VERSION	:= 2.4.1
PROTOBUF_MD5		:= ed436802019c9e1f40cc750eaf78f318
PROTOBUF		:= protobuf-$(PROTOBUF_VERSION)
PROTOBUF_SUFFIX	:= tar.bz2
PROTOBUF_URL		:= http://code.google.com/p/protobuf/downloads/detail?name=protobuf-2.4.1.tar.bz2/$(PROTOBUF).$(PROTOBUF_SUFFIX)
PROTOBUF_SOURCE	:= $(SRCDIR)/$(PROTOBUF).$(PROTOBUF_SUFFIX)
PROTOBUF_DIR		:= $(BUILDDIR)/$(PROTOBUF)
PROTOBUF_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(PROTOBUF_SOURCE):
#	@$(call targetinfo)
#	@$(call get, PROTOBUF)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#PROTOBUF_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
PROTOBUF_CONF_TOOL	:= autoconf
#PROTOBUF_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/protobuf.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(PROTOBUF_DIR)/config.cache)
#	cd $(PROTOBUF_DIR) && \
#		$(PROTOBUF_PATH) $(PROTOBUF_ENV) \
#		./configure $(PROTOBUF_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/protobuf.compile:
#	@$(call targetinfo)
#	@$(call world/compile, PROTOBUF)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/protobuf.install:
#	@$(call targetinfo)
#	@$(call world/install, PROTOBUF)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/protobuf.targetinstall:
	@$(call targetinfo)

	@$(call install_init, protobuf)
	@$(call install_fixup, protobuf,PRIORITY,optional)
	@$(call install_fixup, protobuf,SECTION,base)
	@$(call install_fixup, protobuf,AUTHOR,"Adrian Baumgarth <adrian.baumgarth@l-3com.com>")
	@$(call install_fixup, protobuf,DESCRIPTION,missing)

	@$(call install_copy, protobuf, 0, 0, 0755, $(PROTOBUF_DIR)/foobar, /dev/null)

	@$(call install_finish, protobuf)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/protobuf.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, PROTOBUF)

# vim: syntax=make
